[ 7.287663] systemd-logind[1057]: Failed to start unit user@126.service: Unknown unit: user@126.service

Bug #1359439 reported by Cristian Aravena Romero on 2014-08-20
708
This bug affects 150 people
Affects Status Importance Assigned to Milestone
NULL Project
Undecided
Unassigned
systemd (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
systemd-shim (Debian)
New
Unknown
systemd-shim (Ubuntu)
Medium
Unassigned
Utopic
Undecided
Unassigned

Bug Description

[ 7.287663] systemd-logind[1057]: Failed to start unit user@126.service: Unknown unit: user@126.service
[ 7.287677] systemd-logind[1057]: Failed to start user service: Unknown unit: user@126.service
[ 7.293871] systemd-logind[1057]: New session c1 of user lightdm.
[ 7.293902] systemd-logind[1057]: Linked /tmp/.X11-unix/X0 to /run/user/126/X11-display.
[ 7.363706] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 7.421846] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[ 7.484529] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
[ 9.903052] wlan0: authenticate with c8:d7:19:22:21:ec
[ 9.912429] wlan0: send auth to c8:d7:19:22:21:ec (try 1/3)
[ 9.920181] wlan0: authenticated
[ 9.924352] wlan0: associate with c8:d7:19:22:21:ec (try 1/3)
[ 9.925709] wlan0: RX AssocResp from c8:d7:19:22:21:ec (capab=0x11 status=0 aid=2)
[ 9.927753] wlan0: associated
[ 9.927800] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 12.677104] systemd-logind[1057]: Failed to abandon scope session-c1.scope
[ 12.677122] systemd-logind[1057]: Failed to abandon session scope: No such interface 'org.freedesktop.systemd1.Scope' on object at path /org/freedesktop/systemd1/unit/session_2dc1_2escope
[ 12.683902] systemd-logind[1057]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 12.683912] systemd-logind[1057]: Failed to start user service: Unknown unit: user@1000.service
[ 12.685157] systemd-logind[1057]: New session c2 of user caravena.
[ 12.685190] systemd-logind[1057]: Linked /tmp/.X11-unix/X0 to /run/user/1000/X11-display.
[ 234.494462] systemd-logind[1057]: Failed to abandon scope session-c2.scope
[ 234.494478] systemd-logind[1057]: Failed to abandon session scope: No such interface 'org.freedesktop.systemd1.Scope' on object at path /org/freedesktop/systemd1/unit/session_2dc2_2escope
[ 235.514349] systemd-logind[1057]: New session c3 of user lightdm.
[ 244.245908] systemd-logind[1057]: Failed to abandon scope session-c3.scope
[ 244.245923] systemd-logind[1057]: Failed to abandon session scope: No such interface 'org.freedesktop.systemd1.Scope' on object at path /org/freedesktop/systemd1/unit/session_2dc3_2escope

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: systemd 208-7ubuntu4 [modified: usr/share/dbus-1/system-services/org.freedesktop.systemd1.service]
ProcVersionSignature: Ubuntu 3.16.0-9.14-generic 3.16.1
Uname: Linux 3.16.0-9-generic x86_64
ApportVersion: 2.14.6-0ubuntu2
Architecture: amd64
CurrentDesktop: LXDE
Date: Wed Aug 20 18:26:06 2014
InstallationDate: Installed on 2014-04-27 (115 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)

Changed in systemd-shim (Debian):
status: Unknown → Incomplete
Martin Pitt (pitti) on 2014-08-21
affects: systemd (Ubuntu) → systemd-shim (Ubuntu)
Changed in systemd-shim (Ubuntu):
status: New → Triaged
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1359439

tags: added: iso-testing

Just updated to Ubuntu 14.10 and got a similar error:

[ 14.070781] systemd-logind[969]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 14.070789] systemd-logind[969]: Failed to start user service: Unknown unit: user@1000.service

Same here while running Ubuntu 14.10 server in a VirtualBox VM:

[ 62.851445] systemd-logind[1191]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 62.854044] systemd-logind[1191]: failed to start user service: Unknown unit: user@1000.service

This happens after a clean standard install; selected packages is the minimum base install plus openssh-server.

Any idea how to fix this?

Clark Laughlin (clark-laughlin) wrote :

Same thing - installed Ubuntu 14.10 server (x86_64). Base Install + SSH Server. On first boot, saw the errors just after logging in.

[ 93.892769] systemd-logind[1148]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 93.892864] systemd-logind[1148]: failed to start user service: Unknown unit: user@1000.service

Stephen Ranger (sanosuke001) wrote :

Same issue here. Just updated from Ubuntu GNOME 14.04 to Ubuntu GNOME 14.10 and it doesn't log into gnome; just a black screen. When I switch to the terminal it shows the following error:

systemd-logind[1148]: Failed to start unit user@1000.service: Unknown unit: user@1000.service

KRiODOXiS (urquilla-mario) wrote :

Same issue here. Just upgrade from Ubuntu GNOME 14.04 to Ubuntu GNOME 14.10

Hassan El Jacifi (waver) wrote :

Same issue after upgrading from 14.04 to 14.10

[Wed Oct 29 07:41:17 2014] systemd-logind[2243]: Failed to start unit user@109.service: Unknown unit: user@109.service
[Wed Oct 29 07:41:17 2014] systemd-logind[2243]: Failed to start user service: Unknown unit: user@109.service
[Wed Oct 29 07:41:37 2014] systemd-logind[2243]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[Wed Oct 29 07:41:37 2014] systemd-logind[2243]: Failed to start user service: Unknown unit: user@1000.service
[Wed Oct 29 08:01:49 2014] systemd-logind[2243]: Failed to start unit user@1001.service: Unknown unit: user@1001.service
[Wed Oct 29 08:01:49 2014] systemd-logind[2243]: Failed to start user service: Unknown unit: user@1001.service

Stephen Ranger (sanosuke001) wrote :

Not sure if it's the underlying cause, but uninstalling my fglrx packages, rebooting, then reinstalling them fixed the issue for me. (AMD graphics driver for anyone not familiar)

Dexuan Cui (decui) wrote :

I'm suffering from the same issue with Ubuntu 14.10 guest on Hyper-V.

Dexuan Cui (decui) wrote :

I think https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756247#53 gave the root cause and a workaround(see comment #58 at the same link...)

And,
root@decui-VM:~# systemctl
Failed to get D-Bus connection: No connection to service manager.
root@decui-VM:~#

Mark Fraser (launchpad-mfraz) wrote :

After upgrade to Kubuntu 14.10:

[ 33.150498] systemd-logind[1197]: Failed to start unit user@109.service: Unknown unit: user@109.service
[ 33.150504] systemd-logind[1197]: Failed to start user service: Unknown unit: user@109.service
[ 33.155503] systemd-logind[1197]: New session c1 of user lightdm.
[ 33.155522] systemd-logind[1197]: Linked /tmp/.X11-unix/X0 to /run/user/109/X11-display.
[ 59.789697] systemd-logind[1197]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 59.789703] systemd-logind[1197]: Failed to start user service: Unknown unit: user@1000.service
[ 59.794021] systemd-logind[1197]: New session c2 of user mfraser.
[ 59.794038] systemd-logind[1197]: Linked /tmp/.X11-unix/X0 to /run/user/1000/X11-display.

Tony Bazeley (tonyb-u) wrote :

I think it's imortant to note that https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756247#58 warns on the workaround on the grounds that it involves the installation of sytemd. systemd is an alternative to the current default upstart manager (see https://wiki.ubuntu.com/systemd#systemd_-_An_alternative_boot_manager).

Putting aside the controversy ( https://en.wikipedia.org/wiki/Systemd) for the moment, the current Ubuntu implementation of systemd may not be without it's problems and I for one don't know how to roll back to upstart once this particular bug is resolved.

My particular problem is that I can't use an ASUS Eeepc until the problem is resolved. I will also not proceed with an upgrade to Utopic on my main machine until resolution. Consequently I would support the elevation of the importance of this bug.

Martin Pitt (pitti) on 2014-11-04
Changed in systemd-shim (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Martin Pitt (pitti) wrote :
Changed in systemd-shim (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
status: In Progress → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Changed in systemd-shim (Debian):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

Sorry, that fix was broken, I reverted it.

Changed in systemd-shim (Ubuntu):
status: Fix Committed → In Progress
Changed in systemd-shim (Ubuntu):
importance: Undecided → High
Changed in systemd-shim (Debian):
status: Fix Committed → New
Serhiy Zahoriya (xintx-ua) wrote :

Affects Kubuntu 14.10 too. Both updated and fresh.

Affects Ubuntu Gnome after upgrading to 14.10.

Giovanni Cardamone (superstep) wrote :

I have the same problem.

After install ubuntu 14.10, on start i get a black screen;

CRAFT (craft37) wrote :

Affects me after nautilus reinstallation on Ubuntu Studio 14.10
systemd-logind 1116 failed to start unit user@1000.service
... unknown unit

fedorowp (fedorowp) wrote :

Occured for me after a new install of Ubuntu Server 14.10 64-bit to an ext4 FS on a RAID-1 on SSDs.

The problem is still here, fix hasn't landed on my machine yet ...

Chelmite (steve-kelem) wrote :

This bug hits me every time apt-get upgrades to a new release of the kernel. The first reboot after upgrading would always fail. A 2nd reboot would always work. This time, after upgrading to 3.16.0-28-generic x86_64, subsequent reboots end up in the same state. If I open a console, it says the networking service is working but ifconfig doesn't showeth0 and network names e.g., Google.com, are unknown.

Sébastien (s-vanvelthem) wrote :

Got it after installing openssh-server on UbuntuGnome utopic. No way to boot in graphic mode till now.

Ernest (ernest-schleicher) wrote :

I have the same problem as described initially (as the title of this bug report) after a clean install of Ubuntu Server 14.10.
I used sudo -i t become the root and then ran the following command:
   * apt-get install systemd-sysv
After rebooting and logging in, I did not have the message/problem appear.
When I input ps -p 1 -o comm=
systemd is returned.
 * I am pretty sure that I saw upstart being removed.

routergray (routergray) wrote :

this hit me on a new install of kubuntu 14.10 and its subsequent upgrades. i used the workaround of installing systemd-sysv as others have done, but at that point my graphical desktop (KDE) still would not start. i installed midnight commander to go look at the Xsession errors in my home folder, and i cant recall the full process name but a dbus process kept dying and respawning, and then startkde main process was killed. i attempted 'startkde' at the login prompt and it said there was no startkde command, that i could install it with apt-get kde-workspace-bin, which i did, and it suggested plasma-scriptengines, so while i was at it i got that too. rebooted and there was my KDE. so i reinstalled upstart and ureadahead, which i saw being removed when i did the systemd-sysv install, rebooted again with fingers crossed, and here i am, not saying it 'fixed' anything but it at least gave me back a working system.

routergray (routergray) wrote :

it occurs to me that simply switching to systemd-sysv then back again, without the in between kde stuff, might have fixed it, but now i'll only know if i reinstall it and try that lol.

when will this be fixed???

Ben Coleman (oloryn) wrote :

Got this (for user@1000.service) on new installs of Lubuntu 14.10 64-bit on one machine, and Ubuntu Server 14.10 32-bit on another. On the Lubuntu machine, I had other issues with the on-motherboard video, so I put another video board in it and re-installed Lubuntu, and this time this bug did not come up. I'm not sure why using different video worked fixed (or worked around) it, but perhaps it might provide a clue of what's going on?

PrashanTW (prashant-gw2007) wrote :

Is there any workaround for this issue?

PrashanTW (prashant-gw2007) wrote :

Ohh...
Got workaround for this issue which was mentioned by Dexuan Cui (decui) for GNOME.

RolPasto (roland-7) wrote :

Same issue for me on my Thinkpad W530. After the upgrade from 14.04 to 14.10 the PC was working with the Intel integrated graphics card but not with the discrete Nvidia one (as usual after any kernel update...). When reinstalling the Nvidia drivers the problem appeared. Subsequently, I can login graphically when using the integrated graphics card (selected in the BIOS) but I have no dash. When using the discrete graphics card, I get a black screen and the system asks to run in low-graphics mode (but without success). Hope this helps.

Martin Pitt (pitti) on 2015-01-05
description: updated
caribu (caribu-minimeta) wrote :

I also got bitten by this bug after updating from ubuntu gnome 14.04 to 14.10. I tried switching to the systemd init system but this did not work either so I reverted to upstart. However using the last kernel from 14.04 works and the system becomes usable again. I am only mentioning it because it has not yet been mentioned in the comments to this bug. Thanks for the good work...

@pitti

Hi, Martin.
Would you have any update on the process of resolving this (maybe someone/I can help?), or its severity (what's the impact?)

Thanks a lot.

Mauricio Faria de Oliveira [2015-01-26 18:44 -0000]:
> Would you have any update on the process of resolving this (maybe someone/I can help?)

Sure, anyone who wants to look into this is welcome of course. It just
turned out to be much less trivial than I originally thought.

> or its severity (what's the impact?)

It's just cosmetical, but a bit annoying mostly because it scribbles
over the text console on servers.

alex (budaevav) wrote :

i find this
https://github.com/desrt/systemd-shim/commit/729b958d9d97

may be it can help?\
my server network is down. i lose money(

alex (budaevav) wrote :

Sorry, network is up. By pattient :)

Martin Pitt (pitti) on 2015-02-13
Changed in systemd-shim (Ubuntu):
status: In Progress → Triaged
Michael (terrorbyter-i) on 2015-02-18
Changed in systemd-shim (Ubuntu):
status: Triaged → New
Martin Pitt (pitti) on 2015-02-19
Changed in systemd-shim (Ubuntu):
status: New → Triaged

This is actually in systemd, not systemd-shim.
I patched systemd-shim to ignore unknown unit warning, so then I get a warning from systemd-logind: systemd-logind[1414]: Failed to start user service: Message did not receive a reply (timeout by message bus)
So it's being started by the login manager once pam-systemd registers the session.

pam_systemd manpage: A new systemd scope unit is created for the session. If this is the first concurrent session of the user, an implicit slice below user.slice is automatically created and the scope placed
           into it. An instance of the system service user@.service, which runs the systemd user manager instance, is started.

I'm guessing user@.service is generated at runtime by systemd (which would require systemd is init, not upstart).

Suggestions for fixing this:
1. Move /etc/pam.d/systemd-user to the systemd-sysv package (assuming none of systemd-logind's features are required)
2. Patch systemd-logind to not start the user service if the system wasn't booted with systemd

I'll take a look at patching systemd-logind.

Martin Pitt (pitti) wrote :

Hey Nathan,

Nathan Rennie-Waldock [2015-02-23 16:07 -0000]:
> This is actually in systemd, not systemd-shim.

No, it's still in -shim.

> I patched systemd-shim to ignore unknown unit warning, so then I get
> a warning from systemd-logind: systemd-logind[1414]: Failed to start
> user service: Message did not receive a reply (timeout by message
> bus)

Yeah, ignoring the warning is simple, but it's opening a can of worms
indeed as then logind runs into more unimplemented API from -shim. I
wrote an initial (incomplete) patch months ago:

  http://people.canonical.com/~pitti/tmp/0001-Quiesce-warning-about-missing-user-NNNN.service.patch

but it's not sufficient.

> I'm guessing user@.service is generated at runtime by systemd (which
> would require systemd is init, not upstart).

By logind, yes.

> Suggestions for fixing this:
> 1. Move /etc/pam.d/systemd-user to the systemd-sysv package (assuming none of systemd-logind's features are required)

That would be wrong (as you can boot with systemd without having the
systemd-sysv package), as well as unnecessary (if user@.service isn't
started, this pam file should be a no-op).

> 2. Patch systemd-logind to not start the user service if the system
> wasn't booted with systemd

This is ugly indeed, but would be an acceptable SRU for utopic. For
vivid (or possibly in vivid+1 now) we want to switch to systemd for
booting, so it will become unnecessary.

Thanks!

Martin

Patch to check if system was booted with systemd before running user@.service. Tested on vivid, no more warnings.

Only just seen your comment. This specific warning may be in systemd-shim, but hiding it just gets another warning from logind. So the only way I really see to fix this is prevent it starting that service if it wasn't booted with systemd.

The attachment "logind-check-booted-with-systemd.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Martin Pitt (pitti) wrote :

That patch looks okay for an utopic SRU. Thanks!

Changed in systemd (Ubuntu Utopic):
status: New → Triaged
Changed in systemd (Ubuntu):
status: New → Won't Fix
Changed in systemd-shim (Ubuntu Utopic):
status: New → Won't Fix

I also had this problem and uninstalling fglrx drivers fixed this issue (display driver for AMD graphics cards)

Romain LOUTREL (r-loutrel+dev) wrote :

I might come after the war has ended but after a lot of investigation about my problem, I found something which might be interesting for you.

First of all:
Ubuntu gnome 14.10 (clean install)

What was my problem:
Since today (1st of March : date is important here) GDM did not show up (black screen).
From my terminal, when loging in, I had the following 2 lines
[ 7.287663] systemd-logind[1057]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 7.287677] systemd-logind[1057]: Failed to start user service: Unknown unit: user@1000.service
But I could do what I wanted and start looking for a workaround (like using lightdm)

How I fixed my initial problem: I changed the language of the login screen for French (instead of German).
Why: Using lightdm, I saw that the month of the today date was '(null)'. In German, March is März ... So I supposed any encoding compatibility problem occured, probably better managed with lightdm (null) than with gdm (hangs).
And: It also removed the 2 error lines of systemd-logind

Voilà,
I hope it will help anyone

Marko Stanković (sm4rk0) wrote :

Hi Romain,

Thanks for interesting observation and analysis, but I believe these two problems are not related. As a test, try restarting the computer and then logging in via one of the tty2-tty6 (Ctrl-Alt-F2 - Ctrl-Alt-F6). I'm getting that line with user@1000.service only on first tty login after a boot.

Cheers,
Marko

Romain LOUTREL (r-loutrel+dev) wrote :

Hi Marko,

I meant tty-1, when I said "From my terminal".
But you are right, my retry was not after the first login after a boot. I am not wuth the computer now, I will try again. If the Problem still comes (ie. these Problems are not related), then I will create a report for gnome.

Martin Pitt (pitti) on 2015-03-12
Changed in systemd-shim (Ubuntu):
importance: High → Medium

Hello everybody.
I've tried to recompile systemd applying Nathan Rennie-Waldock's patch, but I get this error:

...
/lib/systemd/system/rsyslog.service = enabled
systemd not booted skipping 'test_install_printf()'
==== test-utf8.log ====
goo goo goo
����
��
debian/rules:233: recipe for target 'override_dh_auto_test' failed
make[1]: *** [override_dh_auto_test] Error 1
make[1]: Leaving directory '/home/giuseppe/systemd/systemd-208'
debian/rules:226: recipe for target 'build' failed
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Any ideas to solve this problem?
Here is my "locale":

cat /etc/default/locale
LANG="it_IT.UTF-8"
#LANG=it_IT.iso88591
#LANG="it_IT.UTF-8"
LC_MESSAGES=POSIX.

Any helps appreciated.

Martin Pitt (pitti) wrote :

Giuseppe, you can run "env DEB_BUILD_OPTIONS=nocheck debuild ..." (or sbuild, etc.) to disable running the tests. (The test works fine in a clean schroot, not sure what's wrong in your environment)

Hi Martin, and thanks for answering.
I've tried again skipping running tests, but unfortunately had another error:

...
./.libs/libsystemd-core.a(libsystemd_core_la-job.o):(.debug_info+0x198e): undefined reference to `x21'
collect2: error: ld returned 1 exit status
Makefile:8486: set di istruzioni per l'obiettivo "test-engine" non riuscito
make[4]: *** [test-engine] Errore 1
Makefile:12490: set di istruzioni per l'obiettivo "all-recursive" non riuscito
make[3]: *** [all-recursive] Errore 1
Makefile:6382: set di istruzioni per l'obiettivo "all" non riuscito
make[2]: *** [all] Errore 2
make[2]: uscita dalla directory "/home/giuseppe/systemd/systemd-208/build-udeb"
dh_auto_build: make -j1 returned exit code 2
debian/rules:71: set di istruzioni per l'obiettivo "override_dh_auto_build" non riuscito
make[1]: *** [override_dh_auto_build] Errore 2
make[1]: uscita dalla directory "/home/giuseppe/systemd/systemd-208"
debian/rules:226: set di istruzioni per l'obiettivo "build" non riuscito
make: *** [build] Errore 2
dpkg-buildpackage: Errore: debian/rules build gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -D -us -uc failed.

Don't know what is wrong this time.
Sorry if bothering,
regards,
Giuseppe Di Chiacchio.

aanno (thomas-pasch) wrote :

I also was hit by this bug when updating my utopic (14.10) amd64 system to vivid (15.04). Deinstalling systemd-shim also worked for me.

Martin Pitt (pitti) wrote :

The "vivid" Launchpad project has nothing to do with Ubuntu vivid, for the record. This bug doesn't affect Ubuntu 15.04 as that uses systemd for booting now, and systemd-shim isn't necessary any more (and inert if installed).

affects: vivid → null-and-void

is there a ppa with the right package systemd-shim , or systemd?? I upgraded from Trusty to Utopic and I didn't understand how to resolve this bug.

I have read this page, but I'm sorry I'm unable to dowload source, compile with a patch, etc. It would help to have a binary package.
Thanks in advance.

svanschalkwyk (step-o) wrote :

New install of 14.10
Worked fine on Nvidia GTX 760 with nomodeset in grub
Installed latest 352 x64 Nvidia driver and rebooted
Lightdm did not start and "systemd-logind[969]: Failed to start unit user@1000.service: Unknown unit: user@1000.service" was displayed twice.
After starting lightdm, it cycles and starts with new pids

Martin Pitt (pitti) wrote :

This bug only affected utopic, which is EOL now, so closing.

Changed in systemd (Ubuntu Utopic):
status: Triaged → Won't Fix
Changed in null-and-void:
status: New → Invalid
Changed in systemd-shim (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
status: Triaged → Won't Fix
moueza (mouezapeter) wrote :

Same error in Ubuntu 15.04

I am getting this in 16.04 development version.

[ 87.068463] systemd-logind[2155]: Failed to start user service: Unknown unit: user@1000.service

(could be because this is a fresh upgrade from earlier version, but yes, it is still here)

description: updated
anidotnet (anidotnet) wrote :

I am getting same error like @pavel-petrovic in Ubuntu 15.10. I am not able to get into the desktop. During boot up I am stuck in a console screen where these error message comes in. What's the solution here?

geek.de.nz (th-heuer) wrote :

sudo apt-get install systemd-sysv

seems to be an easy fix/work-around for now. It will remove the package that causes this error.

funkoolow (funkoolow) wrote :

solution from geek.de.nz worked perfectly for me, i'm on ubuntu 16.04 upgraded from 14.04

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.